package client;

import java.rmi.*;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import compute.*;

public class Client {
	public static void main(String args[]) {
		if (System.getSecurityManager() == null)
			System.setSecurityManager(new RMISecurityManager());
		try {
			// vyhledani vzdaleneho objektu
			MathServer mth;
			String name = "MathD";
			//String name = "MathD2";
			Registry registry = LocateRegistry.getRegistry("localhost", 2010);
			mth = (MathServer) registry.lookup(name);
			//definice vstupnich promennych
			int a = Integer.valueOf(args[0]).intValue();
			int b = Integer.valueOf(args[1]).intValue();
			// vypis vysledku
			System.out.println(a + " + " + b + " = " + mth.secti(a, b));
		}
		catch (Exception e) {
			// neco je spatne :(
			System.err.println("Data exception: " + e.getMessage());
		}
	}
}